> ## Documentation Index
> Fetch the complete documentation index at: https://docs.estream.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Roadshow Event Logs



## OpenAPI

````yaml https://tmextapidev.estream.com/index.cfm/swagger get /telemapper/roadshowEventsLog
openapi: 3.0.0
info:
  description: Production server
  version: 1.0.0
  title: eStream API
servers:
  - url: https://tmextapi.estream.com/index.cfm
security: []
tags:
  - name: Authentication 1
  - name: Business
  - name: Employees
  - name: Onboarding
  - name: Orders
  - name: Payroll
  - name: Telemapper
paths:
  /telemapper/roadshowEventsLog:
    get:
      tags:
        - Telemapper
      summary: Roadshow Event Logs
      operationId: getRoadshowScheduleLog
      parameters:
        - in: query
          schema:
            type: string
          description: ''
          required: true
          name: token
        - in: query
          schema:
            type: string
          description: ''
          required: true
          name: asOfDate
        - in: query
          schema:
            type: string
          description: ''
          required: false
          name: dateFormat
        - in: query
          schema:
            type: string
          description: ''
          required: false
          name: timeFormat
        - in: query
          schema:
            type: boolean
          description: ''
          required: false
          name: roadShowOnly
        - in: query
          schema:
            type: string
          description: ''
          required: false
          name: eventIds
        - in: query
          schema:
            type: string
          description: ''
          required: false
          name: endDate
        - in: query
          schema:
            type: integer
          description: ''
          required: false
          name: officeId
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                properties: {}
                type: object
              example:
                message: Successfully retrieved data
                code: 200
                success: true
                data:
                  - log:
                      - afterValue:
                          value: 08/28/2025 12:00:00 AM
                        beforeValue:
                          value: 12/31/2025 12:00:00 AM
                    actionType: Update
                    eventId: 385800
                    modifiedDate: 08/28/2025 7:45 AM
                    eventEndDate: 08/28/2025
                    changeType: endDate
                    logId: 574080
                    eventStartDate: 02/14/2024

````